<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13) on Fri May 08 00:07:05 EEST 2020 -->
<title>WaiterGUI</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-08">
<meta name="description" content="declaration: package: presentation, class: WaiterGUI">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WaiterGUI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">presentation</a></div>
<h1 title="Class WaiterGUI" class="title">Class WaiterGUI</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.awt.Component
<div class="inheritance">java.awt.Container
<div class="inheritance">java.awt.Window
<div class="inheritance">java.awt.Frame
<div class="inheritance">javax.swing.JFrame
<div class="inheritance">presentation.WaiterGUI</div>
</div>
</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code>, <code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code>, <code>javax.accessibility.Accessible</code>, <code>javax.swing.RootPaneContainer</code>, <code>javax.swing.WindowConstants</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">WaiterGUI</span>
extends javax.swing.JFrame
implements <a href="../bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#presentation.WaiterGUI">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;javax.swing.JFrame</h2>
<a id="nested.classes.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a><code>javax.swing.JFrame.AccessibleJFrame</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Frame</h2>
<a id="nested.classes.inherited.from.class.java.awt.Frame">
<!--   -->
</a><code>java.awt.Frame.AccessibleAWTFrame</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h2>
<a id="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h2>
<a id="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>java.awt.Container.AccessibleAWTContainer</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h2>
<a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMenuItemButton">addMenuItemButton</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#backButton">backButton</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="ChefGUI.html" title="class in presentation">ChefGUI</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#chefGUI">chefGUI</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextArea</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#chosenItems">chosenItems</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#chosenItemsLabel">chosenItemsLabel</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createOrderButton">createOrderButton</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillMenuButton">fillMenuButton</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateBillButton">generateBillButton</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JComboBox&lt;<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#menu">menu</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderDateField">orderDateField</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderDateLabel">orderDateLabel</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderedItems">orderedItems</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderIDField">orderIDField</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderIDLabel">orderIDLabel</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;<a href="../bussiness/Order.html" title="class in bussiness">Order</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderList">orderList</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderTableField">orderTableField</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderTableLabel">orderTableLabel</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../bussiness/Restaurant.html" title="class in bussiness">Restaurant</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#restaurant">restaurant</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#showOrdersButton">showOrdersButton</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#titleLabel">titleLabel</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javax.swing.JFrame</h3>
<a id="fields.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a><code>accessibleContext, rootPane, rootPaneCheckingEnabled</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Frame</h3>
<a id="fields.inherited.from.class.java.awt.Frame">
<!--   -->
</a><code>CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a><code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<a id="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a><code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(bussiness.Restaurant)">WaiterGUI</a></span>&#8203;(<a href="../bussiness/Restaurant.html" title="class in bussiness">Restaurant</a>&nbsp;restaurant)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></span>&#8203;(<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></span>&#8203;(<a href="../bussiness/Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItem(bussiness.MenuItem)">editMenuItem</a></span>&#8203;(<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillMenu()">fillMenu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code><a href="../bussiness/Order.html" title="class in bussiness">Order</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findOrderByID(int)">findOrderByID</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#GenerateBill(bussiness.Order,java.lang.StringBuilder)">GenerateBill</a></span>&#8203;(<a href="../bussiness/Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.lang.StringBuilder&nbsp;sBuilder)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderPrice(bussiness.Order)">orderPrice</a></span>&#8203;(<a href="../bussiness/Order.html" title="class in bussiness">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javax.swing.JFrame</h3>
<a id="methods.inherited.from.class.javax.swing.JFrame">
<!--   -->
</a><code>addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Frame</h3>
<a id="methods.inherited.from.class.java.awt.Frame">
<!--   -->
</a><code>addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<a id="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a><code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;java.awt.MenuContainer</h3>
<a id="methods.inherited.from.class.java.awt.MenuContainer">
<!--   -->
</a><code>getFont, postEvent</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="titleLabel">titleLabel</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">titleLabel</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="backButton">backButton</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">backButton</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createOrderButton">createOrderButton</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">createOrderButton</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addMenuItemButton">addMenuItemButton</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">addMenuItemButton</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="fillMenuButton">fillMenuButton</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">fillMenuButton</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="showOrdersButton">showOrdersButton</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">showOrdersButton</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="generateBillButton">generateBillButton</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JButton</span>&nbsp;<span class="memberName">generateBillButton</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderedItems">orderedItems</a></h3>
<div class="memberSignature"><span class="returnType">java.util.ArrayList&lt;<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</span>&nbsp;<span class="memberName">orderedItems</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderList">orderList</a></h3>
<div class="memberSignature"><span class="returnType">java.util.ArrayList&lt;<a href="../bussiness/Order.html" title="class in bussiness">Order</a>&gt;</span>&nbsp;<span class="memberName">orderList</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderIDLabel">orderIDLabel</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">orderIDLabel</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderIDField">orderIDField</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">orderIDField</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderTableLabel">orderTableLabel</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">orderTableLabel</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderTableField">orderTableField</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">orderTableField</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderDateLabel">orderDateLabel</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">orderDateLabel</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderDateField">orderDateField</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JTextField</span>&nbsp;<span class="memberName">orderDateField</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="chosenItemsLabel">chosenItemsLabel</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JLabel</span>&nbsp;<span class="memberName">chosenItemsLabel</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="chosenItems">chosenItems</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JTextArea</span>&nbsp;<span class="memberName">chosenItems</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="menu">menu</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">javax.swing.JComboBox&lt;<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</span>&nbsp;<span class="memberName">menu</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="restaurant">restaurant</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType"><a href="../bussiness/Restaurant.html" title="class in bussiness">Restaurant</a></span>&nbsp;<span class="memberName">restaurant</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="chefGUI">chefGUI</a></h3>
<div class="memberSignature"><span class="returnType"><a href="ChefGUI.html" title="class in presentation">ChefGUI</a></span>&nbsp;<span class="memberName">chefGUI</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(bussiness.Restaurant)">WaiterGUI</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">WaiterGUI</span>&#8203;(<span class="arguments"><a href="../bussiness/Restaurant.html" title="class in bussiness">Restaurant</a>&nbsp;restaurant)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">deleteMenuItem</span>&#8203;(<span class="arguments"><a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../bussiness/IRestaurantProcessing.html#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="editMenuItem(bussiness.MenuItem)">editMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">editMenuItem</span>&#8203;(<span class="arguments"><a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../bussiness/IRestaurantProcessing.html#editMenuItem(bussiness.MenuItem)">editMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderPrice(bussiness.Order)">orderPrice</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">float</span>&nbsp;<span class="memberName">orderPrice</span>&#8203;(<span class="arguments"><a href="../bussiness/Order.html" title="class in bussiness">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../bussiness/IRestaurantProcessing.html#orderPrice(bussiness.Order)">orderPrice</a></code>&nbsp;in interface&nbsp;<code><a href="../bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">createOrder</span>&#8203;(<span class="arguments"><a href="../bussiness/Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;menuItem)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../bussiness/IRestaurantProcessing.html#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></code>&nbsp;in interface&nbsp;<code><a href="../bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="fillMenu()">fillMenu</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">fillMenu</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="findOrderByID(int)">findOrderByID</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="../bussiness/Order.html" title="class in bussiness">Order</a></span>&nbsp;<span class="memberName">findOrderByID</span>&#8203;(<span class="arguments">int&nbsp;id)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">createNewMenuItem</span>&#8203;(<span class="arguments"><a href="../bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../bussiness/IRestaurantProcessing.html#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="../bussiness/IRestaurantProcessing.html" title="interface in bussiness">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="GenerateBill(bussiness.Order,java.lang.StringBuilder)">GenerateBill</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">GenerateBill</span>&#8203;(<span class="arguments"><a href="../bussiness/Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.lang.StringBuilder&nbsp;sBuilder)</span>
                         throws <span class="exceptions">java.lang.Exception</span></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WaiterGUI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
